From 2007f9f7ce27bb19d4268f98a09620fc6bc69d4d Mon Sep 17 00:00:00 2001
From: Sven Joachim <svenjoac@gmx.de>
Date: Wed, 23 Nov 2016 09:33:24 +0100
Subject: [PATCH] Switch to libreadline7

---
 cpp/console/handlers/shell.cpp | 4 ++--
 debian/control                 | 6 +++---
 doc/tutorial.t2t               | 4 ++--
 po/da.po                       | 4 ++--
 po/de.po                       | 4 ++--
 po/fr.po                       | 4 ++--
 po/pl.po                       | 4 ++--
 po/sk.po                       | 4 ++--
 8 files changed, 17 insertions(+), 17 deletions(-)

diff --git a/cpp/console/handlers/shell.cpp b/cpp/console/handlers/shell.cpp
index 29c64b3..15500ec 100644
--- a/cpp/console/handlers/shell.cpp
+++ b/cpp/console/handlers/shell.cpp
@@ -91,10 +91,10 @@ class Readline
 
 	static void init()
 	{
-		auto handle = dlopen("libreadline.so.6", RTLD_NOW);
+		auto handle = dlopen("libreadline.so.7", RTLD_NOW);
 		if (!handle)
 		{
-			warn2(__("unable to dynamically find libreadline.so.6: dlopen: %s"), dlerror());
+			warn2(__("unable to dynamically find libreadline.so.7: dlopen: %s"), dlerror());
 			return;
 		}
 
diff --git a/debian/control b/debian/control
index 12a39ee..760733f 100644
--- a/debian/control
+++ b/debian/control
@@ -11,7 +11,7 @@ Build-Depends:
 # runtime libraries
   libboost-program-options-dev (>= 1.42),
   libboost-dev (>= 1.42),
-  libreadline6-dev,
+  libreadline-dev,
   libcurl4-gnutls-dev (>= 7.19.4),
   libgcrypt11-dev,
 # documentation
@@ -101,7 +101,7 @@ Package: cupt
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-1 (>= ${binary:Version})
 Breaks: daptup (<< 0.12.2~)
-Suggests: sensible-utils, libreadline6
+Suggests: sensible-utils, libreadline7
 Description: flexible package manager -- console interface
  This package provides a console interface to Cupt library, which implements
  high-level package manager for Debian and derivatives. Cupt is written with
@@ -122,7 +122,7 @@ Description: flexible package manager -- console interface
   - support of LZMA-compressed indexes;
   - source versions synchronization;
   - 'shell' subcommand (to get command history, search etc. working, install
-    the package 'libreadline6');
+    the package 'libreadline7');
   - integration with debdelta (to get it, install the package 'debdelta');
   - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
  .
diff --git a/doc/tutorial.t2t b/doc/tutorial.t2t
index 0eb869f..4581384 100644
--- a/doc/tutorial.t2t
+++ b/doc/tutorial.t2t
@@ -723,10 +723,10 @@ Install the package ``lightspark``, remove the packae ``gnash``, and make sure t
 Install the package ``sieve-connect``, upgrade or remove the package ``iceweasel``
 if it is installed and has the version lower than ``3.5.20``.
 
-- ``cupt install libv4l-0 cupt --iii libreadline6 vlc*``
+- ``cupt install libv4l-0 cupt --iii libreadline7 vlc*``
 
 Install packages ``libv4l-0`` and ``cupt``, install the preferred version of
-``libreadline6`` if it's installed already, install the preferred versions of
+``libreadline7`` if it's installed already, install the preferred versions of
 packages which names start with ``vlc`` and which are installed already .
 
 - ``cupt remove youtube-dl --install clive --satisfy "iceweasel (>= 4)" --purge cvs subversion --install git --unsatisfy "xinput (<< 1.5)"``
diff --git a/po/da.po b/po/da.po
index bf9b4cc..e188ff5 100644
--- a/po/da.po
+++ b/po/da.po
@@ -765,8 +765,8 @@ msgstr "ugyldigt regulært udtryk »%s«"
 
 #: console/handlers/shell.cpp:98
 #, c-format
-msgid "unable to dynamically find libreadline.so.6: dlopen: %s"
-msgstr "kan ikke dynamsik finde libreadline.so.6: dlopen: %s"
+msgid "unable to dynamically find libreadline.so.7: dlopen: %s"
+msgstr "kan ikke dynamsik finde libreadline.so.7: dlopen: %s"
 
 #: console/handlers/shell.cpp:105 console/handlers/shell.cpp:111
 #, c-format
diff --git a/po/de.po b/po/de.po
index 7446c33..b8658b1 100644
--- a/po/de.po
+++ b/po/de.po
@@ -778,8 +778,8 @@ msgstr "ungültiger regulärer Ausdruck »%s«"
 
 #: console/handlers/shell.cpp:98
 #, c-format
-msgid "unable to dynamically find libreadline.so.6: dlopen: %s"
-msgstr "libreadline.so.6 kann nicht dynamisch gefunden werden: dlopen: %s"
+msgid "unable to dynamically find libreadline.so.7: dlopen: %s"
+msgstr "libreadline.so.7 kann nicht dynamisch gefunden werden: dlopen: %s"
 
 #: console/handlers/shell.cpp:105 console/handlers/shell.cpp:111
 #, c-format
diff --git a/po/fr.po b/po/fr.po
index 9c869d4..e4847d5 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -780,8 +780,8 @@ msgstr "l'expression régulière « %s » est invalide"
 
 #: console/handlers/shell.cpp:98
 #, c-format
-msgid "unable to dynamically find libreadline.so.6: dlopen: %s"
-msgstr "impossible de trouver dynamiquement libreadline.so.6 : dlopen : %s"
+msgid "unable to dynamically find libreadline.so.7: dlopen: %s"
+msgstr "impossible de trouver dynamiquement libreadline.so.7 : dlopen : %s"
 
 #: console/handlers/shell.cpp:105 console/handlers/shell.cpp:111
 #, c-format
diff --git a/po/pl.po b/po/pl.po
index 3111368..4b7851d 100644
--- a/po/pl.po
+++ b/po/pl.po
@@ -779,8 +779,8 @@ msgstr "nieprawidłowe wyrażenie regularne '%s'"
 
 #: console/handlers/shell.cpp:98
 #, c-format
-msgid "unable to dynamically find libreadline.so.6: dlopen: %s"
-msgstr "nie udało się dynamicznie znaleźć libreadline.so.6: dlopen: %s"
+msgid "unable to dynamically find libreadline.so.7: dlopen: %s"
+msgstr "nie udało się dynamicznie znaleźć libreadline.so.7: dlopen: %s"
 
 #: console/handlers/shell.cpp:105
 #: console/handlers/shell.cpp:111
diff --git a/po/sk.po b/po/sk.po
index c1661e4..3f365f4 100644
--- a/po/sk.po
+++ b/po/sk.po
@@ -778,8 +778,8 @@ msgstr "neplatný regulárny výraz „%s“"
 
 #: console/handlers/shell.cpp:98
 #, c-format
-msgid "unable to dynamically find libreadline.so.6: dlopen: %s"
-msgstr "nie je možné dynamicky nájsť libreadline.so.6: dlopen: %s"
+msgid "unable to dynamically find libreadline.so.7: dlopen: %s"
+msgstr "nie je možné dynamicky nájsť libreadline.so.7: dlopen: %s"
 
 #: console/handlers/shell.cpp:105
 #: console/handlers/shell.cpp:111
-- 
2.10.2

